#!/bin/bash
source ./constantes.sh &&
source ./fonctions.sh &&

# Partie numero 3 : Parametrage du proxy http squid pour tout le systeme

# (1) Parametrage du proxy pour l'environnement MATE

# /usr/share/glib-2.0/schemas/scribe.gschema.override

move /usr/share/glib-2.0/schemas scribe.gschema.override &&
sed -i -e "s/arg2/$ip_proxy/g" /usr/share/glib-2.0/schemas/scribe.gschema.override &&
sed -i -e "s/arg3/$port_proxy/g" /usr/share/glib-2.0/schemas/scribe.gschema.override &&

# Prise en compte des modifications apportees

glib-compile-schemas /usr/share/glib-2.0/schemas &&

# (2) Parametrage du proxy pour le systeme Debian

move /etc environment && 
sed -i -e "s/arg1/$ip_proxy:$port_proxy/g" /etc/environment &&

# (3) Parametrage du proxy pour apt

move /etc/apt/apt.conf.d 20proxy &&
sed -i -e "s/arg1/$ip_proxy:$port_proxy/g" /etc/apt/apt.conf.d/20proxy &&
