#!/bin/bash
source ./constantes.sh && 

# permet :
# (1) de sauver les fichiers/repertoires initiaux en les renommant en *.old si ils existent  
# (2) de copier les fichiers/repertoires bien parametres

move()
{
local REP=$1 &&
local name=$2 &&
if [ -f $REP/$name ]||[ -d $REP/$name ] ; then 
	mv $REP/$name $REP/$name.old &&
	cp -rf $DATA/$name $REP/
else
	cp -rf $DATA/$name $REP/
fi 
}

startinstall()
{
local module=$1 && 
local log_err=$2 &&
local log_out=$3 &&
local module_time=$4 &&
# La sortie des erreurs est redirigee vers un fichier *.err.
# La sortie standard est dupliquee et recopiee vers un fichier *.out
# La sortie de la sequence de commandes entre parentheses est redirigee vers un fichier *.time. 
(time $module 2> $log_err | tee $log_out) 2> $module_time 
}
